
*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    --naslov: #2B6CB0;
    --cena: #113f7f;
    --kopce: #175bba;

}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-color: #eceff1;
    min-height: 90svh;
    background-image: url('tandem.webp');
    background-size: cover;
    background-position: center;
    text-align: center;
}

h1, h2, h3{
    text-align: center;
    text-transform: uppercase;
    text-wrap: balance;
}

h1 {
    color: white;
    margin-block: 1rem;
    filter: drop-shadow(0.2rem 0.2rem 0.2rem rgba(0,0,0,0.35));
}
h2, h3 {
    margin-block-end: 0.75rem;
    line-height: 1.25;
    font-size: 1.5rem;
    color: var(--cena);
}

h2 {
    font-weight: 800;
    color: var(--cena);
}

h3 {
    font-size: 1.5rem;
}

sup{
    vertical-align: super;
    font-size: 1.25rem;
}

.wrapper{
    width: 90%;
    max-width: 768px;
    margin: 0 auto;
}

.karti{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    row-gap: 1rem;
    column-gap: 2rem;
    margin-block-end: 3rem;
}

.karta{
    backdrop-filter: blur(.5rem);
    padding: 1rem;
    background: rgba(255, 255, 255, .5);
    border-radius: 1rem;
    border: 3px solid var(--naslov);
    text-align: center;
    filter: drop-shadow(0.2rem 0.2rem 0.2rem rgba(0,0,0,0.35));
}

.price{
    color: rgb(205, 61, 4);
    font-size: 2.5rem;
    font-weight: 800;
}

.btn{
    padding-inline: 2.5rem;
    padding-block: 1rem;
    background-color: var(--naslov);
    border: 3px solid white;
    color: white;
    border-radius: 2rem;
    font-size: 1.1rem;
    font-weight: bold;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}

.btn:hover {
    background-color: var(--cena);
    border: 3px solid var(--naslov);
}

a{
    text-decoration: none;
}

footer {
    text-align: center;
    padding: 1rem;
    background-color: rgba(255, 255, 255, 0.8);
    border-top: 2px solid var(--naslov);
    margin-top: 2rem;
    text-wrap: balance;
    backdrop-filter: blur(.5rem);

    a{
        text-decoration: none;
        font-weight: bold;
        color: inherit;
    }
}

@media screen and (min-width: 530px) {
    h1 {
        font-size: clamp(2rem, 5vw, 3.3rem);
        margin-block: 3rem;
        filter: drop-shadow(0.2rem 0.2rem 0.2rem rgba(0,0,0,0.35));
    }
}

@media screen and (min-width: 700px) {
    footer{
        position: fixed;
        bottom: 0;
        width: 100%;
    }
}

@media screen and (min-height: 850px) {
    footer{
        position: fixed;
        bottom: 0;
        width: 100%;
    }
}